Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Class DelimitedFieldFactoryAssembler

    java.lang.Object
      com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
          com.servingxml.components.flatfile.recordtype.DelimitedFieldFactoryAssembler

    public class DelimitedFieldFactoryAssembler

extends FlatFileOptionsFactoryAssembler

Constructor Summary
`DelimitedFieldFactoryAssembler()`

Method Summary
`FlatRecordFieldFactory` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(DefaultValue defaultValueEvaluator)`
`void` | `injectComponent(Label label)`
`void` | `setLabel(java.lang.String fieldLabel)`
`void` | `setMaxLength(int maxLength)`
`void` | `setMaxWidth(int maxWidth)`
`void` | `setMinLength(int minLength)`
`void` | `setName(Name fieldName)`
`void` | `setStart(int start)`
`void` | `setWidth(int maxWidth)`

Methods inherited from class com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
`assembleFlatFileOptions, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, setAlwaysQuote, setCountPositionsInBytes, setFlushRecordOnWrite, setIgnoreEmptyLines, setIgnoreTrailingEmptyLines, setJustify, setLineDelimited, setOmitFinalFieldDelimiter, setOmitFinalRepeatDelimiter, setPadCharacter, setQuote, setTrim, setTrimLeading, setTrimLeadingWithinQuotes, setTrimQuoted, setTrimTrailing, setTrimTrailingWithinQuotes, setTrimWithinQuotes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelimitedFieldFactoryAssembler

    public DelimitedFieldFactoryAssembler()

Method Detail

### setStart

    public void setStart(int start)

### setWidth

    public void setWidth(int maxWidth)

### setMaxWidth

    public void setMaxWidth(int maxWidth)

### setMinLength

    public void setMinLength(int minLength)

### setMaxLength

    public void setMaxLength(int maxLength)

### setName

    public void setName(Name fieldName)

### setLabel

    public void setLabel(java.lang.String fieldLabel)

### injectComponent

    public void injectComponent(DefaultValue defaultValueEvaluator)

### injectComponent

    public void injectComponent(Label label)

### assemble

    public FlatRecordFieldFactory assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD